BIBTEX2HTML(1)

NAME
BibTeX2HTML - A translator of bibliography databases into HTML

SYNOPSIS
bibtex2html [options] <filename>

DESCRIPTION
bibtex2html is a translator which reads a bibliography file and outputs two HTML documents that contain respectively the cited bibliography in a nice presentation, and the original BibTeX file augmented with several transparent HTML links to allow easy navigation.

OPTIONS

  General aspect of the HTML document

-t string, --title string
    specify the title of the HTML file (default is the file name).

--header string
    give an additional header for the HTML document.

--footer string
    give an additional footer for the HTML document.

-s string, --style string
    use BibTeX style string (plain, alpha, etc.). Default style is plain.

-noabstract, --no-abstract
    do not print the abstracts (if any).

-nokeywords, --no-keywords
    do not print the keywords (if any).

-both, --both
    produce both pages with and without abstracts. If the BibTeX file is foo.bib then the two pages will be respectively foo.html and foo_abstracts.html (The suffix may be different, see option --suffix). Links are inserted from the page without abstracts to the page with abstracts.

-nokeys, --no-keys
    do not print the cite keys.

-use-keys, --use-keys
    use the cite keys from the BibTeX input file (and not the ones generated by the BibTeX style file).

-rawurl, --raw-url
    print URLs instead of files' types.

-heveaurl, --hevea-url
    interpret the macro \url as HeVeA's one, i.e. with two arguments, the first one being the url and the second one the text to print. The default behavior is to interpret the macro \url as the one from the package url, which has only one argument (the url itself).

-f field, --field field
    add a web link for that BibTeX field.

-nf field string, --named-field field string
    similar to -f but specifies the way to display the link (e.g. -nf springer "At Springer's").

-note field, --note field
    declare that a field must be treated like the abstract field, i.e. is an annotation to be displayed as a text paragraph below the entry.

-multiple, --multiple
    make a separate web page for each entry. Beware: this option produces as many HTML files as BibTeX entries!

-single, --single
    produce a single document, inserting each BibTeX entry (the input) right after its BibTeX output.

-bg color, --background color
    set the background color of the HTML file (default is none).

-css file, --style-sheet file
    set a style sheet file for the HTML document (default is none).

-charset c, --charset c
    specify the charset to use in the META tag of generated html files. The default is the output of the command locale charmap, or if this doesn't work, ISO-8859-1.

-dl, --dl
    use HTML DL lists instead of HTML tables to format entries.

-unicode, --unicode
    use Unicode entities for some macros, such as &#X22A8; for \models, etc.

-html-entities, --html-entities
    use HTML entities for some macros, such as &asymp; for \approx, etc.

  Controlling the translation

-m file, --macros-from file
    read the LATEX macros in the given file. Note: bibtex2html does not handle macros arguments; arguments are simply discarded.

-noexpand, --no-expand
    do not expand the abbreviation strings, leave them in the output file.

  Selecting the entries

-citefile filename, --citefile filename
    Select only keys appearing in filename. To be used manually or in conjonction with bib2bib.

-e key, --exclude key
    exclude an particular entry.

  Sorting the entries

-d, --sort-by-date
    sort by date.

-a, --sort-as-bibtex
    sort as BibTeX (usually by author).

-u, --unsorted
    unsorted i.e. same order as in .bib file (default).

-r, --reverse-sort
    reverse the sort.

--revkeys
    number entries in reverse order (i.e. from n to 1 in plain style).

  Miscellaneous options

--print-keys
    do not produce any HTML documents but write to stdout the sorted list of BibTeX keys (one key per line).

-nodoc, --nodoc
    do not produce a full HTML document but only its body (useful to merge the HTML bibliography in a bigger HTML document).

-nobibsource, --nobibsource
    do not produce the _bib.html file. In that case, no BibTeX entry links are inserted in the HTML file.

-suffix string, --suffix string
    give an alternate suffix string for both HTML files and links (default is .html).

-fsuffix string, --file-suffix string
    give an alternate suffix string for HTML files (default is .html).

-lsuffix string, --link-suffix string
    give an alternate suffix string for HTML links (default is .html).

-o file, --output file
    specifies the output file. If file is -, then the standard output is selected.

-c command, --command command
    specify the BibTeX command (default is bibtex -min-crossrefs=1000). May be useful for example if you need to specify the full path of the bibtex command.

-i, --ignore-errors
    ignore BibTeX errors.

-q, --quiet
    be quiet.

-w, --warn-error
    stop at the first warning.

-h, --help
    print a short usage and exit.

-v, --version
    print the version and exit.

-noheader, --no-header
    do not insert the bibtex2html command in the HTML document (default is to insert it as a comment at the beginning).

AUTHOR
Bibtex2html has been written by Jean-Christophe Filliâtre and Claude Marché. This manpage has been compiled by Ralf Treinen from the original bibtex2html documentation.

SEE ALSO
bib2bib(1),bibtex(1),hevea(1)
http://www.lri.fr/~filliatr/bibtex2html/

For complete documentation, please check the bibtex2html manual. On a Debian system the manual can be found at /usr/share/doc/bibtex2html both in the formats postscript and HTML, or via the Debian help system.